#pragma once

#include <game/gamemanager.hpp>
#include <object/entity.hpp>
#include <renderer/texture.hpp>
#include <renderer/font.hpp>
#include <object/sound.hpp>

namespace Game::AGame {
    class Player;
}

namespace Game::AGame {
    GAME_ENTITY(Trash)
    public:
        void onCollisionEnter(Object::Entity* other) override;
        void setSeaOnly(bool v) { mSeaOnly = v; }
    private:
        bool mSeaOnly = false;
    END_GAME_ENTITY()
}